
#ifndef REDUCE_HEADER
#define REDUCE_HEADER

#include <stdbool.h>
#include <locale.h>

#include "MapReduce.h"

// Constants definitions:
#define DResultFileExtension ".txt"
#define DReduceFilePrefix "_reduce"
#define DResultFilePrefix "wc"
#define DReduceOutputFileName DMapReduceResultFilesDiretory DResultFilePrefix DResultFileExtension

// Functions Prototypes
int cmp_words(const char *a, const char *b);
int reduce_process_file(int fd_in, int fd_out);
void wordcount_reducer(char *output_file, int n_reducers);


#endif //REDUCE_HEADER
